Automatic start date based on parent issue

2017-03-02 09:11 - Aleksandar Pavic

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues planning Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

If you have following situation, parent issue with relation to start n days after some other issue,

and try to add sub-issue, it will populate start date with today's date.

Instead, it should populate start date with calculated date, because any date entered before

calculated date would result with following error message:

Issue start date cannot be earlier than (actual calculated date) because of preceding issues

History

#1 - 2017-04-01 06:18 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think this is expected behavior. What do you expect?

#2 - 2017-04-03 11:40 - Aleksandar Pavic

It forbids you to enter any date earlier then calculated date.

However javascript is set to "today date", which is N days before "calculated date".

So instead of populating calendar automatically with "today date", it should populate it automatically with "calculated date".

Just because it unnecessarily triggers  "Issue start date cannot be earlier than (actual calculated date) because of preceding issues" error.

And it's just frustrating if somebody is planning larger project with hundreds of tasks, with planned duration of tasks.

#3 - 2017-05-02 07:48 - Toshi MARUYAMA

- Status changed from Needs feedback to New
